Index: cpukit/sapi/src/exshutdown.c
===================================================================
--- cpukit/sapi/src/exshutdown.c	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ cpukit/sapi/src/exshutdown.c	(revision b39e055a492cade3e6614b9434c4f5b6bd848960)
@@ -15,24 +15,9 @@
 
 #include <rtems/init.h>
-#include <rtems/score/sysstate.h>
 #include <rtems/score/interr.h>
 
 void rtems_shutdown_executive( uint32_t result )
 {
-  Internal_errors_Source  source;
-  bool                    is_internal;
-  Internal_errors_t       code;
-
-  if ( _System_state_Is_up( _System_state_Get() ) ) {
-    source      = RTEMS_FATAL_SOURCE_EXIT;
-    is_internal = false;
-    code        = result;
-  } else {
-    source      = INTERNAL_ERROR_CORE;
-    is_internal = true;
-    code        = INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP;
-  }
-
-  _Internal_error_Occurred( source, is_internal, code );
+  _Internal_error_Occurred( RTEMS_FATAL_SOURCE_EXIT, false, result );
 
   /***************************************************************
Index: cpukit/sapi/src/interrtext.c
===================================================================
--- cpukit/sapi/src/interrtext.c	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ cpukit/sapi/src/interrtext.c	(revision b39e055a492cade3e6614b9434c4f5b6bd848960)
@@ -48,5 +48,5 @@
   "INTERNAL_ERROR_MUTEX_OBTAIN_FROM_BAD_STATE",
   "INTERNAL_ERROR_UNLIMITED_AND_MAXIMUM_IS_0",
-  "INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP",
+  "OBSOLETE_INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP",
   "INTERNAL_ERROR_GXX_KEY_ADD_FAILED",
   "INTERNAL_ERROR_GXX_MUTEX_INIT_FAILED",
Index: cpukit/score/include/rtems/score/interr.h
===================================================================
--- cpukit/score/include/rtems/score/interr.h	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ cpukit/score/include/rtems/score/interr.h	(revision b39e055a492cade3e6614b9434c4f5b6bd848960)
@@ -144,5 +144,5 @@
   INTERNAL_ERROR_MUTEX_OBTAIN_FROM_BAD_STATE,
   INTERNAL_ERROR_UNLIMITED_AND_MAXIMUM_IS_0,
-  INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP,
+  OBSOLETE_INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP,
   INTERNAL_ERROR_GXX_KEY_ADD_FAILED,
   INTERNAL_ERROR_GXX_MUTEX_INIT_FAILED,
Index: testsuites/sptests/Makefile.am
===================================================================
--- testsuites/sptests/Makefile.am	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ testsuites/sptests/Makefile.am	(revision b39e055a492cade3e6614b9434c4f5b6bd848960)
@@ -19,5 +19,5 @@
     spfatal08 spfatal09 spfatal10 spfatal11 spfatal12 spfatal13 spfatal14 \
     spfatal15 spfatal16 spfatal17 spfatal18 spfatal19 spfatal20 \
-    spfatal22 spfatal23 spfatal24 spfatal25 \
+    spfatal22 spfatal24 spfatal25 \
     spfifo01 spfifo02 spfifo03 spfifo04 spfifo05 \
     spfreechain01 \
Index: testsuites/sptests/configure.ac
===================================================================
--- testsuites/sptests/configure.ac	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ testsuites/sptests/configure.ac	(revision b39e055a492cade3e6614b9434c4f5b6bd848960)
@@ -162,5 +162,4 @@
 spfatal20/Makefile
 spfatal22/Makefile
-spfatal23/Makefile
 spfatal24/Makefile
 spfatal25/Makefile
Index: stsuites/sptests/spfatal23/Makefile.am
===================================================================
--- testsuites/sptests/spfatal23/Makefile.am	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ 	(revision )
@@ -1,21 +1,0 @@
-rtems_tests_PROGRAMS = spfatal23
-spfatal23_SOURCES = ../spfatal_support/init.c \
-    ../spfatal_support/system.h testcase.h
-
-dist_rtems_tests_DATA = spfatal23.scn
-dist_rtems_tests_DATA += spfatal23.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(spfatal23_OBJECTS)
-LINK_LIBS = $(spfatal23_LDLIBS)
-
-spfatal23$(EXEEXT): $(spfatal23_OBJECTS) $(spfatal23_DEPENDENCIES)
-	@rm -f spfatal23$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/sptests/spfatal23/spfatal23.scn
===================================================================
--- testsuites/sptests/spfatal23/spfatal23.scn	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ 	(revision )
@@ -1,3 +1,0 @@
-*** TEST FATAL SHUTDOWN WHEN NOT UP ***
-Fatal error (SHUTDOWN WHEN NOT UP) hit
-*** END OF TEST FATAL SHUTDOWN WHEN NOT UP ***
Index: stsuites/sptests/spfatal23/testcase.h
===================================================================
--- testsuites/sptests/spfatal23/testcase.h	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ 	(revision )
@@ -1,23 +1,0 @@
-/*
- *  COPYRIGHT (c) 1989-2010.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.com/license/LICENSE.
- */
-
-#include <rtems/score/sysstate.h>
-
-#define FATAL_ERROR_TEST_NAME            "SHUTDOWN WHEN NOT UP"
-#define FATAL_ERROR_DESCRIPTION          "SHUTDOWN WHEN NOT UP"
-#define FATAL_ERROR_EXPECTED_SOURCE      INTERNAL_ERROR_CORE
-#define FATAL_ERROR_EXPECTED_IS_INTERNAL TRUE
-#define FATAL_ERROR_EXPECTED_ERROR       INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP
-
-void force_error()
-{
-  _System_state_Set( SYSTEM_STATE_BEFORE_MULTITASKING );
-  rtems_shutdown_executive( 0 );
-  /* we will not run this far */
-}
Index: testsuites/sptests/spinternalerror02/spinternalerror02.scn
===================================================================
--- testsuites/sptests/spinternalerror02/spinternalerror02.scn	(revision 8a6de83fd833c4b0458ba27eb4883c53c1b1ecf4)
+++ testsuites/sptests/spinternalerror02/spinternalerror02.scn	(revision b39e055a492cade3e6614b9434c4f5b6bd848960)
@@ -20,5 +20,5 @@
 INTERNAL_ERROR_MUTEX_OBTAIN_FROM_BAD_STATE
 INTERNAL_ERROR_UNLIMITED_AND_MAXIMUM_IS_0
-INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP
+OBSOLETE_INTERNAL_ERROR_SHUTDOWN_WHEN_NOT_UP
 INTERNAL_ERROR_GXX_KEY_ADD_FAILED
 INTERNAL_ERROR_GXX_MUTEX_INIT_FAILED
